///////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2000-2023 Ericsson Telecom AB                               //
//                                                                           //
// All rights reserved. This program and the accompanying materials          //
// are made available under the terms of the Eclipse Public License v2.0     //
// which accompanies this distribution, and is available at                  //
// https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html                                 //
///////////////////////////////////////////////////////////////////////////////
[LOGGING]
//LogFile := "%e.%h-%r-%t.%s"
//ConsoleMask := LOG_ALL | DEBUG
FileMask := ERROR | WARNING| USER | LOG_ALL | MATCHING | PORTEVENT
//LogEntityName := Yes
//LogEventTypes := Yes
//LogSourceInfo := Yes
//SourceInfoFormat := Stack

[TESTPORT_PARAMETERS]
*.EPTF_guiPortIf.use_connection_ASPs := "yes"
*.EPTF_guiPortIf.packet_hdr_length_offset := "0"
*.EPTF_guiPortIf.packet_hdr_nr_bytes_in_length := "4"
*.EPTF_guiPortIf.packet_hdr_byte_order := "MSB"
*.EPTF_guiPortIf.debug := "yes"
*.EPTF_guiPortIf.server_mode := "no"
*.EPTF_guiPortIf.halt_on_connection_reset := "no"
*.xtdp_port.use_connection_ASPs := "yes"
*.xtdp_port.packet_hdr_length_offset := "0"
*.xtdp_port.packet_hdr_nr_bytes_in_length := "4"
*.xtdp_port.packet_hdr_byte_order := "MSB"
#*.xtdp_port.server_mode := "no"
*.xtdp_port.halt_on_connection_reset := "no"

[MODULE_PARAMETERS]
tsp_xtdp_listen_addr := "127.0.0.1"
tsp_xtdp_listen_port := 10000
tsp_EPTF_runtimeGuiExitButtonWidgetId := "exit_ttcn"
tsp_EPTF_CLL_StatReplay_captureFile := "testlog.txt"
tsp_EPTF_CLL_StatReplay_groupName := "group1"
tsp_EPTF_CLL_StatReplay_variableName := "mean"
tsp_EPTF_CLL_StatReplay_windowSize := 100;
tsp_EPTF_CLL_StatReplay_startLayout := "<window height=\"550.000000\" id=\"EPTF_main_Window\" orient=\"vertical\" title=\"EPTF Capture Chart GUI\" width=\"800.000000\">\n<tabbox>\n<tabs>\n<tab label=\"Chart\">\n</tab>\n</tabs>\n<tabpanels>\n<tabpanel orient=\"vertical\">\n<hbox orient=\"vertical\">\n<chart id=\"capturechart\" title=\"Capture Chart\" zoomable=\"false\" axisXType=\"linear\" axisYType=\"linear\" gridX=\"false\" gridY=\"false\" foregroundColor=\"Black\" backgroundColor=\"RGB:180:200:200\" gridColor=\"Black\">\n<trace id=\"trace1\" name=\"Captured Values\" maxPoints=\"100\" color=\"RGB:255:0:0\" />\n</chart>\n</hbox>\n</tabpanel>\n</tabpanels>\n</tabbox>\n<hbox orient=\"horizontal\">\n<spacer flex=\"2.000000\">\n</spacer>\n<button id=\"shift_left_fast\" label=\"Shift Left Fast\">\n</button>\n<spacer flex=\"0.000000\">\n</spacer>\n<button id=\"shift_left\" label=\"Shift Left\">\n</button>\n<spacer flex=\"0.000000\">\n</spacer>\n<button id=\"shift_right\" label=\"Shift Right\">\n</button>\n<spacer flex=\"0.000000\">\n</spacer>\n<button id=\"shift_right_fast\" label=\"Shift Right Fast\">\n</button>\n<spacer flex=\"2.000000\">\n</spacer>\n</hbox>\n<hbox orient=\"horizontal\">\n<button id=\"exit_ttcn\" label=\"Exit TTCN\">\n</button>\n</hbox>\n</window>\n";
tsp_EPTF_CLL_StatReplay_debug := false;
tsp_EPTF_UIHandler_bufferedXTDP := 0.0;

[EXECUTE]
EPTF_CLL_StatReplay_Execution.tc_Demo;
